
package com.littleworld.register.services;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;

import java.util.*;

import com.littleworld.register.model.*;

public class LoginJDBCService {

    // create singleton
    private static LoginJDBCService instance = new LoginJDBCService();

    public static LoginJDBCService getInstance() {
      return instance;
    }

    private LoginJDBCService() {}
  
    Connection getConnection() {
      Connection connection = null;
      try {
        Class.forName("com.mysql.jdbc.Driver");
        connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/login","root", "");
      } catch (ClassNotFoundException e) {
        e.printStackTrace();
      } catch (SQLException e) {
        e.printStackTrace();
      }
      return connection;
    }

    public Login create(Login login ) {
      String sql = "INSERT INTO LOGIN " + "(id, email, password) VALUES (NULL, ?, ?)";
      try {
        Connection connection = getConnection();
        PreparedStatement ps = connection.prepareStatement(sql);
        // todo
        ps.executeUpdate();
        ps.close();
      } catch (SQLException e) { 
        e.printStackTrace();
      }
      return login;
    }

    public List<Login> findAll() {
      String sql = "SELECT * FROM LOGIN";
      List<Login> logins = new ArrayList<Login>();
      try {
        Connection connection = getConnection();
        Statement stmt = connection.createStatement();
        ResultSet rs = stmt.executeQuery(sql);
        while (rs.next()) {
          //todo
        }
      } catch (SQLException e) { 
        e.printStackTrace();
      }
      return logins;
    }
 
    public Login findById(int id) {
        return null;
    }

    public void delete(int id) {
      String sql = "DELETE FROM LOGIN WHERE ID = ?";
      try {
        Connection connection = getConnection();
        PreparedStatement ps = connection.prepareStatement(sql);
        //todo
        ps.executeUpdate();
        ps.close();
      } catch (SQLException e) { 
        e.printStackTrace();
      }
    }
}

