package com.littleworld.register.servlets;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.util.List;

import com.littleworld.register.model.*;
import com.littleworld.register.services.*;

@WebServlet("/list")
public class LoginListServlet extends HttpServlet {

  protected void doGet(HttpServletRequest request,
      HttpServletResponse response) throws ServletException, IOException {
  
    List<Login> logins = LoginJDBCService.getInstance().findAll();
    request.setAttribute("logins", logins);
    request.getServletContext().getRequestDispatcher("/loginList.jsp").forward(request, response);
  }
}

